package scanner

import error.CriticalLispException

interface LispInputStream {

    fun read(): Int
    fun unreadLastCharacter()

    class MaximumUnreadsExceededException : CriticalLispException()
}
